@0xbf017710be5a54ff;

using Rust = import "programming_language/rust.capnp";
$Rust.parentModule("schema");

using CSharp = import "programming_language/csharp.capnp";
$CSharp.namespace("FabAccessAPI.Schema");

using AuthenticationSystem = import "authenticationsystem.capnp".AuthenticationSystem;
using MachineSystem = import "machinesystem.capnp".MachineSystem;
using UserSystem = import "usersystem.capnp".UserSystem;
using PermissionSystem = import "permissionsystem.capnp".PermissionSystem;

interface Bootstrap 
{
    authenticationSystem @0 () -> ( authenticationSystem : AuthenticationSystem );

    machineSystem @1 () -> ( machineSystem : MachineSystem );
    
    userSystem @2 () -> ( userSystem : UserSystem );

    permissionSystem @3 () -> ( permissionSystem : PermissionSystem );    
}
